=== thirdparty/turtle/CMakeLists.txt ===
add_library( turtle INTERFACE )

target_include_directories( turtle INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} )
